Lack of deprecation period for short option changes

Martin Pool mbp at
Thu Jan 11 00:51:53 GMT 2007

On 10 Jan 2007, James Westby <jw+debian at> wrote:
> On (10/01/07 15:08), Aaron Bentley wrote:
> > Well, then there is more than one problem with the way the package is
> > being maintained, because you should not be able to install an old
> > bzrtools with a new bzr.
> > 
> > I'm diligent about keeping bzrtools up to date.  Bzrtools has never
> > lagged bzr by more than a week, and my current policy is to release
> > bzrtools when bzr goes into Release Candidate phase.
> You are a great maintainer for a very useful package, I'm not trying to
> suggest otherwise. I am just trying to cope with the situation that we
> have in Debian where the maintainer has not been very reliable recently.

Etienne has been (afaik) regularly building Bazaar packages (including
bzrtools) for Ubuntu, and I think these are installable on Debian as
well.  Could these be uploaded into Debian?

> > Packaging errors are not my fault.  Trying disable my safeguards so that
> > you can install untested combinations of bzrtools and bzr is the wrong
> > way to go.
> If you are sure that bzrtools can't work with a mismatched version of
> bzr why don't you just disable the plugin entirely?

Well, I think that would still need some kind of message explaining why
the bzrtools features were disabled.


More information about the bazaar mailing list